Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Interface INotableEditPart

All Known Subinterfaces:
  INodeEditPart

All Known Implementing Classes:
  ConnectionNodeEditPart, ShapeNodeEditPart

public interface INotableEditPart

This interface implemented by editparts to evaluate if a note can be added as a peer connected by a note attachment to it.

Method Summary
`boolean` `canAttachNote()` This will return true if a note can be added as a peer connected by a note attachment to the editpart which will implement this interface.

Method Detail

### canAttachNote

    public boolean canAttachNote()

  This will return true if a note can be added as a peer connected by a note attachment to the editpart which will implement this interface.

  Returns:
    True if a note can be attached to it, false otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.